/*
    Fichier simulsmtp.c
    Auteur Bernard Chardonneau

    Logiciel libre, droits d'utilisation prciss en franais
    dans le fichier : licence.fr

    Traductions des droits d'utilisation dans les fichiers :
    licence.de , licence.en , licence.es , licence.it
    licence.nl , licence.pt , licence.eo , licence.eo-utf


    Bibliothque de fonctions permettant
    la simulation d'envoi de mails au serveur smtp
    Fonctionne mme sans connexion au rseau
*/

#include <stdio.h>
#include "buflect.h"
#include "smtp.h"



/* Simulation connexion russie au serveur smtp */

int connect_smtp (char *serveur)
{
    char bufw [80];  // buffer d'envoi d'une ligne ou requte smtp


    // gnrer le message  helo nom_de_calculateur
    strcpy (bufw, "HELO ");
    gethostname (bufw + 5, sizeof (bufw) - 5);

    // identification du calculateur connect
    envoie_smtp (bufw);
    lire_smtp ();
    return (1);
}



/* Simulation criture de donnes */

void envoie_smtp (char *buffer)
{
    puts (buffer);
}



/* Simulation lecture d'une ligne de donnes */

void lire_smtp ()
{
    strcpy (buf_lect, "250 OK");
}



/* Simulation dconnexion propre du serveur smtp */

void deconnect_smtp ()
{
    // envoi du message de deconnexion
    envoie_smtp ("QUIT");

    // lecture de l'acquittement
    lire_smtp ();
}
